Token payroll
Get Payroll Groups
Returns a paginated list of payroll reporting groups in APPROVED or SUBMITTED state.
GEThttps://api.toku.com/tga/get-payroll-groups
Required scope: payroll:read. It also needs compensation:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-payroll-groups?page=%3Cpage%3E&rowsPerPage=%3CrowsPerPage%3E&state=APPROVED' \
--header 'Authorization: Bearer <token>'200 response
{
"groups": [
{
"payrollReportingGroupID": "string",
"groupName": "string",
"organizationName": "string",
"state": "PENDING",
"submittedAt": "string",
"items": [
{
"id": "string",
"itemType": "VESTING",
"recipientID": "string",
"recipientName": "string",
"country": "string",
"grantID": "string",
"grantName": "string",
"sequenceNumber": 0,
"eventDate": "string",
"settledDate": "string",
"vestingAmount": "string",
"token": "string",
"currency": "string",
"fmv": "string",
"grossGain": "string",
"taxRate": "string",
"totalTax": "string",
"tokensWithheld": "string",
"netTokens": "string",
"netFiatAmount": "string"
}
]
}
],
"pagination": {
"page": 0,
"rowsPerPage": 0,
"totalCount": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
pageintegerrequiredAllowed: at least 0
rowsPerPageintegerrequiredAllowed: 1 to 100
statestringrequiredAvailable options: APPROVED, SUBMITTED
Response
200Successful response
groupsobject[]requiredShow child attributes
payrollReportingGroupIDstringrequiredgroupNamestringrequiredorganizationNamestringrequiredstatestringrequiredAvailable options: PENDING, APPROVED, SUBMITTED
submittedAtstring | nullrequireditemsobject[]requiredShow child attributes
idstringrequireditemTypestringrequiredAvailable options: VESTING, LOCKUP, WARRANT_LOCKUP
recipientIDstringrequiredrecipientNamestringrequiredcountrystring | nullrequiredgrantIDstringrequiredgrantNamestringrequiredsequenceNumberintegerrequiredeventDatestringrequiredsettledDatestring | nullrequiredvestingAmountstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$
tokenstring | nullrequiredcurrencystring | nullrequiredfmvstring | nullrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$
grossGainstringrequiredtaxRatestringrequiredtotalTaxstringrequiredtokensWithheldstringrequirednetTokensstringrequirednetFiatAmountstringrequiredpaginationobjectrequiredShow child attributes
pageintegerrequiredrowsPerPageintegerrequiredtotalCountintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits